Smart Collect
Delete an Allowed Payer Account
Delete an Allowed Payer Account using the Razorpay Smart Collect API.
DELETE
Available in🇮🇳 India🇺🇸 United States
Use this endpoint to delete the allowed payer’s account details added to a Customer Identifier. You can delete one account detail in a single request.
Path Parameters
string
required
The unique identifier of the Customer Identifier from which the
allowed_payers account details should be deleted.string
required
The unique identifier of the
allowed_payers account that has to be deleted.Request Parameters
string
required
The type of account. Possible value is
bank_account.object
required
Indicates the bank account details such as
ifsc and account_number.string
required
The IFSC associated with the bank account.
string
required
The bank account number.
Handy TipsSBI account numbers can contain zeros preceding actual numbers. You should enter the complete account number, including these zeros, or else the transaction will fail, and the amount will be refunded automatically.For example, if the account number is 00000022234631312, add the complete account number and not just 22234631312.
Errors
Account validation is only applicable on bank account as a receiver type
Account validation is only applicable on bank account as a receiver type
Code:
400This error occurs when you try to add an allowed payer account on a Customer Identifier with VPA added as a receiver (with or without a Bank account).Solution: You cannot add an allowed payer account on a Customer Identifier with VPA added as a receiver (with or without a Bank account).Only 10 allowed payer accounts can be added.
Only 10 allowed payer accounts can be added.
Code:
400This error occurs when you try to add new allowed payer accounts when the overall allowed_payers limit is exceeded. You can only add up to 10 allowed payer accounts.Solution: Make sure you do not add more than 10 allowed payers.The bank account.account number field is required when bank account is present.
The bank account.account number field is required when bank account is present.
Code:
400This error occurs when you do not pass the bank account number in the request.Solution: Make sure to pass the bank account number in the request.Payer detail already exist for virtual account.
Payer detail already exist for virtual account.
Code:
400This error occurs when you try to add a duplicate allowed payer’s account with the same IFSC and account number that already exists.Solution: Make sure to add a valid allowed payer’s account.